--TEST--
maxdb_stmt_num_rows_err
--SKIPIF--
<?php require 'skipif.inc'; ?>
--FILE--
<?php
/* Open a connection */
$link = maxdb_connect("localhost", "MONA", "RED", "DEMODB");

/* check connection */ 
if (maxdb_connect_errno()) {
   printf("Connect failed: %s\n", maxdb_connect_error());
   exit();
}

$query = "SELECT zip, name FROM hotel.city ORDER BY name";
if ($stmt = maxdb_prepare($link, $query)) {

   /* execute query */
   maxdb_stmt_execute($stmt);

   printf("Number of rows: %d.\n", maxdb_stmt_num_rows($stmt));

   /* bind result variables */
   maxdb_stmt_bind_result($stmt, $name, $code);

   /* fetch values */
   while (maxdb_stmt_fetch($stmt)) {
       printf ("%s (%s)\n", $name, $code);
   }
 
   printf ("\n");

   maxdb_stmt_data_seek ($stmt, 1);
   maxdb_stmt_fetch($stmt);
   printf ("%s (%s)\n", $name, $code);

   printf("Number of rows: %d.\n", maxdb_stmt_num_rows($stmt));

   maxdb_stmt_data_seek ($stmt, 0);
   maxdb_stmt_fetch($stmt);
   printf ("%s (%s)\n", $name, $code);

   printf("Number of rows: %d.\n", maxdb_stmt_num_rows($stmt));

   maxdb_stmt_data_seek ($stmt, 1);
   maxdb_stmt_data_seek ($stmt, 0);
   maxdb_stmt_fetch($stmt);
   printf ("%s (%s)\n", $name, $code);

   printf("Number of rows: %d.\n", maxdb_stmt_num_rows($stmt));

   maxdb_stmt_free_result($stmt);

   /* close statement */
   maxdb_stmt_close($stmt);
}

maxdb_close($link);
?>
--EXPECT--
Number of rows: 25.
12203 (Albany)
60601 (Chicago)
60615 (Chicago)
45211 (Cincinnati)
33575 (Clearwater)
75243 (Dallas)
32018 (Daytona Beach)
33441 (Deerfield Beach)
48226 (Detroit)
90029 (Hollywood)
92714 (Irvine)
90804 (Long Beach)
11788 (Long Island)
90018 (Los Angeles)
70112 (New Orleans)
10019 (New York)
10580 (New York)
92262 (Palm Springs)
97213 (Portland)
60018 (Rosemont)
95054 (Santa Clara)
20903 (Silver Spring)
20005 (Washington)
20019 (Washington)
20037 (Washington)

60601 (Chicago)
Number of rows: 25.
12203 (Albany)
Number of rows: 25.
12203 (Albany)
Number of rows: 25.

